#
# spec file for package python-pkgconfig
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%global skip_python2 1
Name:           python-pkgconfig
VCS: https://src.suse.de/SLFO-pool/python-pkgconfig#f24fdf592b845f198e49a2791bba76c665aed6a8b1c3a804e1f5a8c326c04754
Version:        1.5.5
Release:        160000.1.6
Summary:        Interface Python with pkg-config
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/matze/pkgconfig
# PyPI sdist has generated setup.py ..
Source0:        https://files.pythonhosted.org/packages/source/p/pkgconfig/pkgconfig-%{version}.tar.gz
# .. get the tests from github
Source1:        https://github.com/matze/pkgconfig/archive/v%{version}.tar.gz#/pkgconfig-%{version}-gh.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  openssl-devel
BuildRequires:  pkgconfig
BuildRequires:  python-rpm-macros
Requires:       pkgconfig
BuildArch:      noarch
%python_subpackages

%description
A Python module to interface with the pkg-config
command line tool

%prep
%setup -q -n pkgconfig-%{version}
(cd ..; tar xf %{SOURCE1} pkgconfig-%{version}/{test_pkgconfig.py,data})

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/pkgconfig
%{python_sitelib}/pkgconfig-%{version}*-info

%changelog
* Wed Jan  5 2022 dmueller@suse.com
- update to 1.5.5:
  * drop python 2.x support
  * Added Support for Linux On Power
  * Document configure_extension in README.
  * test_configure_extension: sorted expected
* Tue Oct 27 2020 code@bnavigator.de
- Kill dephell dependency by using released sdist setup.py but
  get testfile and data from Github
* Sun Aug 16 2020 jayvdb@gmail.com
- Activate test suite, replacing nose with pytest
* Fri Oct 18 2019 mcalabkova@suse.com
- update to 1.5.1
  * Use poetry instead of setuptools directly
  * Fix #42: raise exception if package is missing
  * Fix version parsing for openssl-like version numbers, fixes #32
  * Add boolean static keyword to output private libraries as well
  * Raise original OSError as well
- Do not launch tests (https://github.com/matze/pkgconfig/issues/45)
* Thu Apr 11 2019 jayvdb@gmail.com
- Remove unnecessary bcond tests
- Add missing test dependency pkgconfig
- Fix the test suite which was running 0 tests
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Fri Apr 13 2018 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.3.1:
  * Fix compatibility problems with Python 2.6
- changes from version 1.3.0:
  * Add variables() API to query defined variables
  * Disable Python 3.2 and enable Python 3.5 and 3.6 tests
  * Fix #16: handle spaces of values in .pc files correctly
* Wed Apr 19 2017 toddrme2178@gmail.com
- Update to version 1.2.2
  + No changelog available
- Implement single-spec version.
* Wed Nov 27 2013 p.drouand@gmail.com
- Update to version 1.1.0
  + No changelog available
* Wed Oct 16 2013 speilicke@suse.com
- Initial version
